gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.SvgLocation

Contents

- Exported types
- Methods
- Properties
  - bytes
  - lineChars
  - lines

Description

Provides information about a location in an SVG document.

The information should be considered approximate; it is meant to provide feedback for errors in an editor.

Since: 4.22

Synopsis

- newtype SvgLocation = SvgLocation (ManagedPtr SvgLocation)
- newZeroSvgLocation :: MonadIO m => m SvgLocation
- getSvgLocationBytes :: MonadIO m => SvgLocation -> m CSize
- setSvgLocationBytes :: MonadIO m => SvgLocation -> CSize -> m ()
- getSvgLocationLineChars :: MonadIO m => SvgLocation -> m CSize
- setSvgLocationLineChars :: MonadIO m => SvgLocation -> CSize -> m ()
- getSvgLocationLines :: MonadIO m => SvgLocation -> m CSize
- setSvgLocationLines :: MonadIO m => SvgLocation -> CSize -> m ()

# Exported types

newtype SvgLocation Source #

Memory-managed wrapper type.

Constructors

SvgLocation (ManagedPtr SvgLocation) |

#### Instances

Instances details

Eq SvgLocation Source # |
Instance details Defined in GI.Gtk.Structs.SvgLocation Methods (==) :: SvgLocation -> SvgLocation -> Bool Source # (/=) :: SvgLocation -> SvgLocation -> Bool Source #
BoxedPtr SvgLocation Source # |
Instance details Defined in GI.Gtk.Structs.SvgLocation Methods boxedPtrCopy :: SvgLocation -> IO SvgLocation Source # boxedPtrFree :: SvgLocation -> IO () Source #
CallocPtr SvgLocation Source # |
Instance details Defined in GI.Gtk.Structs.SvgLocation Methods boxedPtrCalloc :: IO (Ptr SvgLocation) Source #
ManagedPtrNewtype SvgLocation Source # |
Instance details Defined in GI.Gtk.Structs.SvgLocation Methods toManagedPtr :: SvgLocation -> ManagedPtr SvgLocation Source #
tag ~ 'AttrSet => Constructible SvgLocation tag Source # |
Instance details Defined in GI.Gtk.Structs.SvgLocation Methods new :: MonadIO m => (ManagedPtr SvgLocation -> SvgLocation) -> [AttrOp SvgLocation tag] -> m SvgLocation Source #

newZeroSvgLocation :: MonadIO m => m SvgLocation Source #

Construct a `SvgLocation` struct initialized to zero.

# Methods

# Properties

## bytes

the byte index in document. If unknown, this will be zero (which is also a valid value, but only if all three values are zero)

getSvgLocationBytes :: MonadIO m => SvgLocation -> m CSize Source #

Get the value of the “`bytes`” field. When overloading is enabled, this is equivalent to

    get svgLocation #bytes

setSvgLocationBytes :: MonadIO m => SvgLocation -> CSize -> m () Source #

Set the value of the “`bytes`” field. When overloading is enabled, this is equivalent to

    set svgLocation [ #bytes := value ]

## lineChars

the char index in the line, 0-based

getSvgLocationLineChars :: MonadIO m => SvgLocation -> m CSize Source #

Get the value of the “`line_chars`” field. When overloading is enabled, this is equivalent to

    get svgLocation #lineChars

setSvgLocationLineChars :: MonadIO m => SvgLocation -> CSize -> m () Source #

Set the value of the “`line_chars`” field. When overloading is enabled, this is equivalent to

    set svgLocation [ #lineChars := value ]

## lines

the line index in the document, 0-based

getSvgLocationLines :: MonadIO m => SvgLocation -> m CSize Source #

Get the value of the “`lines`” field. When overloading is enabled, this is equivalent to

    get svgLocation #lines

setSvgLocationLines :: MonadIO m => SvgLocation -> CSize -> m () Source #

Set the value of the “`lines`” field. When overloading is enabled, this is equivalent to

    set svgLocation [ #lines := value ]